{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Next.js: dev",
      "type": "node",
      "request": "launch",
      "runtimeExecutable": "pnpm",
      "runtimeArgs": ["run", "dev"],
      "serverReadyAction": {
        "pattern": "- Local:\\s+(https?://\\S+)",
        "uriFormat": "%s",
        "action": "openExternally"
      }
    },
    {
      "name": "Next.js: build",
      "type": "node",
      "request": "launch",
      "runtimeExecutable": "pnpm",
      "runtimeArgs": ["run", "build"],
      "console": "integratedTerminal"
    },
    {
      "name": "Next.js: start",
      "type": "node",
      "request": "launch",
      "runtimeExecutable": "pnpm",
      "runtimeArgs": ["run", "start"],
      "console": "integratedTerminal",
      "serverReadyAction": {
        "pattern": "- Local:.+(https?://.+)",
        "uriFormat": "%s",
        "action": "openExternally"
      }
    },
    {
      "name": "Next.js: lint",
      "type": "node",
      "request": "launch",
      "runtimeExecutable": "pnpm",
      "runtimeArgs": ["run", "lint"],
      "console": "integratedTerminal"
    },
    {
      "name": "Next.js: lint:fix",
      "type": "node",
      "request": "launch",
      "runtimeExecutable": "pnpm",
      "runtimeArgs": ["run", "lint:fix"],
      "console": "integratedTerminal"
    }
  ]
}
